
package com.ejie.ab61.clientesWS.X43Procedimientos;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TTaskType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="TTaskType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="GENERICA"/>
 *     &lt;enumeration value="COMUNICACION"/>
 *     &lt;enumeration value="NOTIFICACION"/>
 *     &lt;enumeration value="FIRMAS"/>
 *     &lt;enumeration value="APORDOCU"/>
 *     &lt;enumeration value="DOCUMENTACION_APORTAR"/>
 *     &lt;enumeration value="ESTDOCU"/>
 *     &lt;enumeration value="DOCUMENTACION_ESTUDIAR"/>
 *     &lt;enumeration value="REGISTRDOC"/>
 *     &lt;enumeration value="DOCUMENTACION_REGISTRAR"/>
 *     &lt;enumeration value="SOLDOCU"/>
 *     &lt;enumeration value="DOCUMENTACION_SOLICITAR"/>
 *     &lt;enumeration value="RECINOTI"/>
 *     &lt;enumeration value="NOTIFICACION_ACUSAR"/>
 *     &lt;enumeration value="firmanot"/>
 *     &lt;enumeration value="NOTIFICACION_FIRMAR"/>
 *     &lt;enumeration value="REGISTRANOTI"/>
 *     &lt;enumeration value="NOTIFICACION_REGISTRAR"/>
 *     &lt;enumeration value="APERTURA"/>
 *     &lt;enumeration value="EXPEDIENTE_ABRIR"/>
 *     &lt;enumeration value="LIQTASA"/>
 *     &lt;enumeration value="EXPEDIENTE_PAGAR"/>
 *     &lt;enumeration value="CERREXP"/>
 *     &lt;enumeration value="EXPEDIENTE_CERRAR"/>
 *     &lt;enumeration value="RECHAZOFIRMAS"/>
 *     &lt;enumeration value="FIRMA_RECHAZAR"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "TTaskType", namespace = "com/ejie/x43s/v2/ttn/xml")
@XmlEnum
public enum TTaskType {

    GENERICA("GENERICA"),
    COMUNICACION("COMUNICACION"),
    NOTIFICACION("NOTIFICACION"),
    FIRMAS("FIRMAS"),
    APORDOCU("APORDOCU"),
    DOCUMENTACION_APORTAR("DOCUMENTACION_APORTAR"),
    ESTDOCU("ESTDOCU"),
    DOCUMENTACION_ESTUDIAR("DOCUMENTACION_ESTUDIAR"),
    REGISTRDOC("REGISTRDOC"),
    DOCUMENTACION_REGISTRAR("DOCUMENTACION_REGISTRAR"),
    SOLDOCU("SOLDOCU"),
    DOCUMENTACION_SOLICITAR("DOCUMENTACION_SOLICITAR"),
    RECINOTI("RECINOTI"),
    NOTIFICACION_ACUSAR("NOTIFICACION_ACUSAR"),
    @XmlEnumValue("firmanot")
    FIRMANOT("firmanot"),
    NOTIFICACION_FIRMAR("NOTIFICACION_FIRMAR"),
    REGISTRANOTI("REGISTRANOTI"),
    NOTIFICACION_REGISTRAR("NOTIFICACION_REGISTRAR"),
    APERTURA("APERTURA"),
    EXPEDIENTE_ABRIR("EXPEDIENTE_ABRIR"),
    LIQTASA("LIQTASA"),
    EXPEDIENTE_PAGAR("EXPEDIENTE_PAGAR"),
    CERREXP("CERREXP"),
    EXPEDIENTE_CERRAR("EXPEDIENTE_CERRAR"),
    RECHAZOFIRMAS("RECHAZOFIRMAS"),
    FIRMA_RECHAZAR("FIRMA_RECHAZAR");
    private final String value;

    TTaskType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TTaskType fromValue(String v) {
        for (TTaskType c: TTaskType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
